header: !Header
  Machine: IMAGE_FILE_MACHINE_I386 # (0x14c)

sections:
  - !Section
    Name: .text
    Characteristics: [IMAGE_SCN_CNT_CODE, IMAGE_SCN_ALIGN_16BYTES, IMAGE_SCN_MEM_EXECUTE, IMAGE_SCN_MEM_READ, ] # 0x60500020
    SectionData:  !hex "83EC0CC744240800000000C7042400000000E800000000E8000000008B44240883C40CC3" # |....D$.......$...............D$.....|

    Relocations:
      - !Relocation
        VirtualAddress: 0xe
        SymbolTableIndex: 5
        Type: IMAGE_REL_I386_DIR32

      - !Relocation
        VirtualAddress: 0x13
        SymbolTableIndex: 6
        Type: IMAGE_REL_I386_REL32

      - !Relocation
        VirtualAddress: 0x18
        SymbolTableIndex: 7
        Type: IMAGE_REL_I386_REL32

  - !Section
    Name: .data
    Characteristics: [IMAGE_SCN_CNT_INITIALIZED_DATA, IMAGE_SCN_ALIGN_1BYTES, IMAGE_SCN_MEM_READ, IMAGE_SCN_MEM_WRITE, ] # 0xc0100040
    SectionData:  !hex "48656C6C6F20576F726C642100" # |Hello World!.|

symbols:
  - !Symbol
    Name: .text
    Value: 0
    SectionNumber: 1
    SimpleType: IMAGE_SYM_TYPE_NULL # (0)
    ComplexType: IMAGE_SYM_DTYPE_NULL # (0)
    StorageClass: IMAGE_SYM_CLASS_STATIC # (3)
    NumberOfAuxSymbols: 1
    AuxillaryData:  !hex "240000000300000000000000010000000000" # |$.................|

  - !Symbol
    Name: .data
    Value: 0
    SectionNumber: 2
    SimpleType: IMAGE_SYM_TYPE_NULL # (0)
    ComplexType: IMAGE_SYM_DTYPE_NULL # (0)
    StorageClass: IMAGE_SYM_CLASS_STATIC # (3)
    NumberOfAuxSymbols: 1
    AuxillaryData:  !hex "0D0000000000000000000000020000000000" # |..................|

  - !Symbol
    Name: _main
    Value: 0
    SectionNumber: 1
    SimpleType: IMAGE_SYM_TYPE_NULL # (0)
    ComplexType: IMAGE_SYM_DTYPE_FUNCTION # (2)
    StorageClass: IMAGE_SYM_CLASS_EXTERNAL # (2)

  - !Symbol
    Name: L_.str
    Value: 0
    SectionNumber: 2
    SimpleType: IMAGE_SYM_TYPE_NULL # (0)
    ComplexType: IMAGE_SYM_DTYPE_NULL # (0)
    StorageClass: IMAGE_SYM_CLASS_STATIC # (3)

  - !Symbol
    Name: _puts
    Value: 0
    SectionNumber: 0
    SimpleType: IMAGE_SYM_TYPE_NULL # (0)
    ComplexType: IMAGE_SYM_DTYPE_NULL # (0)
    StorageClass: IMAGE_SYM_CLASS_EXTERNAL # (2)

  - !Symbol
    Name: _SomeOtherFunction
    Value: 0
    SectionNumber: 0
    SimpleType: IMAGE_SYM_TYPE_NULL # (0)
    ComplexType: IMAGE_SYM_DTYPE_NULL # (0)
    StorageClass: IMAGE_SYM_CLASS_EXTERNAL # (2)

